<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/include/entities.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('entities_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">entities.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;assert.h&gt;</code><br />
<code>#include &quot;<a class="el" href="debug_8h_source.html">../../include/debug.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="string_8h_source.html">../string/include/string.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="uuid_8h_source.html">../uuid/include/uuid.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="shape_8h_source.html">../shape/include/shape.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="points_8h_source.html">../point/include/points.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="window_8h_source.html">../window/include/window.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="progress_8h_source.html">../progress/include/progress.h</a>&quot;</code><br />
</div>
<p><a href="entities_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_a_s_s.html">CLASS</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a9870e0caa2f8e3e5700c4cbb21d73c07"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a9870e0caa2f8e3e5700c4cbb21d73c07">is</a>&#160;&#160;&#160;==</td></tr>
<tr class="separator:a9870e0caa2f8e3e5700c4cbb21d73c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec7beebdb5fb0c15754963d986d08c0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a5ec7beebdb5fb0c15754963d986d08c0">isnt</a>&#160;&#160;&#160;!=</td></tr>
<tr class="separator:a5ec7beebdb5fb0c15754963d986d08c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31739c27bdcfdac9faae7bf7a5df49e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a31739c27bdcfdac9faae7bf7a5df49e4">not</a>&#160;&#160;&#160;!</td></tr>
<tr class="separator:a31739c27bdcfdac9faae7bf7a5df49e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3d7d535cf450b91b9cb6d9cee2edbb9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#aa3d7d535cf450b91b9cb6d9cee2edbb9">and</a>&#160;&#160;&#160;&amp;&amp;</td></tr>
<tr class="separator:aa3d7d535cf450b91b9cb6d9cee2edbb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a339a611d7f9dc3a59c359f0da7beaf3c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a339a611d7f9dc3a59c359f0da7beaf3c">or</a>&#160;&#160;&#160;||</td></tr>
<tr class="separator:a339a611d7f9dc3a59c359f0da7beaf3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cc019ad88e04ddd4d5ed8b80e8bd25d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a7cc019ad88e04ddd4d5ed8b80e8bd25d">in</a>&#160;&#160;&#160;,</td></tr>
<tr class="separator:a7cc019ad88e04ddd4d5ed8b80e8bd25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77366c1bd428629dc898e188bfd182a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a>&#160;&#160;&#160;extern</td></tr>
<tr class="separator:a77366c1bd428629dc898e188bfd182a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a135053f5aaf67c7d93d2a3cb1967a7cd"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_l_a_s_s.html">CLASS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a135053f5aaf67c7d93d2a3cb1967a7cd">Class</a></td></tr>
<tr class="separator:a135053f5aaf67c7d93d2a3cb1967a7cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a61c17da756851b41a9369a27d312f094"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a61c17da756851b41a9369a27d312f094">new</a> (const void *_class,...)</td></tr>
<tr class="separator:a61c17da756851b41a9369a27d312f094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04b84d794c93872630b68de61df7160b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a04b84d794c93872630b68de61df7160b">delete</a> (void *item)</td></tr>
<tr class="separator:a04b84d794c93872630b68de61df7160b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae31fb524ad1aca9ab324d702809e25ea"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#ae31fb524ad1aca9ab324d702809e25ea">clone</a> (const void *self)</td></tr>
<tr class="separator:ae31fb524ad1aca9ab324d702809e25ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadad28c375d0bb9fd2218cc6409aae0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#aeadad28c375d0bb9fd2218cc6409aae0">differ</a> (const void *self, const void *b)</td></tr>
<tr class="separator:aeadad28c375d0bb9fd2218cc6409aae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a8a01f86a3029cbc2a17af4e2473609"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="entities_8h.html#a1a8a01f86a3029cbc2a17af4e2473609">sizeOf</a> (const void *self)</td></tr>
<tr class="separator:a1a8a01f86a3029cbc2a17af4e2473609"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aa3d7d535cf450b91b9cb6d9cee2edbb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3d7d535cf450b91b9cb6d9cee2edbb9">&#9670;&nbsp;</a></span>and</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define and&#160;&#160;&#160;&amp;&amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77366c1bd428629dc898e188bfd182a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77366c1bd428629dc898e188bfd182a3">&#9670;&nbsp;</a></span>EXTERN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EXTERN&#160;&#160;&#160;extern</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7cc019ad88e04ddd4d5ed8b80e8bd25d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cc019ad88e04ddd4d5ed8b80e8bd25d">&#9670;&nbsp;</a></span>in</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define in&#160;&#160;&#160;,</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9870e0caa2f8e3e5700c4cbb21d73c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9870e0caa2f8e3e5700c4cbb21d73c07">&#9670;&nbsp;</a></span>is</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define is&#160;&#160;&#160;==</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ec7beebdb5fb0c15754963d986d08c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ec7beebdb5fb0c15754963d986d08c0">&#9670;&nbsp;</a></span>isnt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define isnt&#160;&#160;&#160;!=</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a31739c27bdcfdac9faae7bf7a5df49e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31739c27bdcfdac9faae7bf7a5df49e4">&#9670;&nbsp;</a></span>not</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define not&#160;&#160;&#160;!</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a339a611d7f9dc3a59c359f0da7beaf3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a339a611d7f9dc3a59c359f0da7beaf3c">&#9670;&nbsp;</a></span>or</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define or&#160;&#160;&#160;||</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a135053f5aaf67c7d93d2a3cb1967a7cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a135053f5aaf67c7d93d2a3cb1967a7cd">&#9670;&nbsp;</a></span>Class</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_l_a_s_s.html">CLASS</a> <a class="el" href="entities_8h.html#a135053f5aaf67c7d93d2a3cb1967a7cd">Class</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae31fb524ad1aca9ab324d702809e25ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae31fb524ad1aca9ab324d702809e25ea">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* clone </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a04b84d794c93872630b68de61df7160b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04b84d794c93872630b68de61df7160b">&#9670;&nbsp;</a></span>delete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeadad28c375d0bb9fd2218cc6409aae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeadad28c375d0bb9fd2218cc6409aae0">&#9670;&nbsp;</a></span>differ()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int differ </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61c17da756851b41a9369a27d312f094"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61c17da756851b41a9369a27d312f094">&#9670;&nbsp;</a></span>new()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* new </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>_class</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a8a01f86a3029cbc2a17af4e2473609"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a8a01f86a3029cbc2a17af4e2473609">&#9670;&nbsp;</a></span>sizeOf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t sizeOf </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_a143723e1dd63d73e9f0ecdac7730b3f.html">include</a></li><li class="navelem"><a class="el" href="entities_8h.html">entities.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
